For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewDIME UtilityTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewDIME UtilityTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
        • GETGet all announcements
        • GETGet system config
        • GETGet portfolio margin configuration
        • GETGet system state
        • GETGet system time (unix milliseconds)
        • GETGet volume-based fee tiers
  • Testnet API Reference
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Production API ReferenceSystem

Get portfolio margin configuration

GET
https://api.prod.paradex.trade/v1/system/portfolio-margin-config
GET
/v1/system/portfolio-margin-config
$curl https://api.prod.paradex.trade/v1/system/portfolio-margin-config \
> -H "Authorization: <apiKey>"
1{
2 "results": [
3 {
4 "base_asset": "BTC",
5 "funding_provision_hour": 8,
6 "hedged_margin_factor": 0.01,
7 "mmf_factor": 0.5,
8 "scenarios": [
9 {
10 "spot_shock": 0.16,
11 "vol_shock": 0.4,
12 "weight": 1
13 }
14 ],
15 "unhedged_margin_factor": 0.02,
16 "vol_shock_params": {
17 "dte_floor_days": 1,
18 "min_vol_shock_up": 0.4,
19 "vega_power_long_dte": 0.13,
20 "vega_power_short_dte": 0.3
21 }
22 }
23 ]
24}
Returns portfolio margin risk parameters per base asset
Was this page helpful?
Previous

Get system state

Next
Built with

Query parameters

base_assetstringOptional

Base asset filter (e.g. BTC, ETH). Omit to return all.

Response

OK
resultslist of objects
Array of results

Errors

404
Not Found Error